{% extends 'layouts/artdrop.html.twig' %}


{% block title %}Paramètre du compte{% endblock %}


{% block newstylesheets %}
    <!-- inclut une feuille de style spécifique à la page -->
    <link rel="stylesheet" href="{{ asset('assets/css/hidden-tab.css') }}">
{% endblock %}


{% block titleAndDecription %}
    <!-- affiche le titre de la page -->
    <h2>Paramètre du compte</h2>
{% endblock %}


{% block section %}
    <!-- ======= Setting Section ======= -->
    <section>
        <div class="container">

            <div class="parameters">

                <!-- paramétre de suppression du compte utilisateur-->
                <div class="parameter-item">
                    <div class="parameter">Supprimer le compter
                        <hr class="hr_line">
                        <p>Vous pouvez supprimer votre compte en cliquant sur le bouton ci-dessous.</p>
                        <p>Veuillez noter, cependant, que la suppression du compte entraînera automatiquement la suppression de l'ensemble de vos données, y compris les œuvres que vous avez publiées.</p>
                        <!-- récupère l'id du membre pour la suppression -->
                        <a href="{{ path('delete_member', {'id' : member.id }) }}" class="delete-button">Supprimer le compte</a>
                    </div>
                </div>

                <!-- paramétre de changement de mot de passe-->
                <div class="parameter-item">
                    <div class="parameter">modifié le mot de passe
                        <hr class="hr_line">
                        <p>Vous pouvez changer votre mot de passe en cliquant sur le bouton ci dessous. </p>
                        <!-- récupère l'id du membre pour le changement de mots de passe -->
                        <a href="{{ path('update_member_password',{ 'id' : member.id } ) }}" class="update-button">modification</a>
                    </div>
                </div>

                <!-- paramétre de changement du mail-->
                <div class="parameter-item">
                    <div class="parameter">modifié l'email
                        <hr class="hr_line">
                        <p>Vous pouvez changer votre adresse e-mail en cliquant sur le bouton ci dessous. </p>
                        <!-- récupère l'id du membre pour le changement de mail -->
                        <a href="{{ path('update_member_mail', { 'id' : member.id } ) }}" class="update-button">modification</a>
                    </div>
                </div>

            </div>

        </div>
        <!-- End Setting Section -->
    </section>
{% endblock %}